Skip to main content
GET
Checkpoints linked to a commit, with commit, diffstat, and sessions

Authorizations

Authorization
string
header
required

OAuth 2.0 authorization code flow.

Path Parameters

repo_id
string
required
sha
string
required

Query Parameters

limit
integer<int64>
default:100

Page size, clamped to 1..1000

Response

OK

app_has_access
boolean
required
checkpoints
object[] | null
required
history_complete
boolean
required
history_status
string
required
repo_full_name
string
required
session_branch_exists
boolean
required
source
string
required
updated_at
string
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"/api/v1/schemas/RepoCheckpointsOutputBody.json"